openSUSE Security Update : rubygem-actionpack-4_2 / rubygem-actionview-4_2 / rubygem-activemodel-4_2 / etc (openSUSE-2016-159)

Medium Nessus Plugin ID 88612

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for rubygem-actionpack-4_2, rubygem-actionview-4_2, rubygem-activemodel-4_2, rubygem-activerecord-4_2, rubygem-activesupport-4_2 fixes the following issues :

- CVE-2015-7576: Timing attack vulnerability in basic authentication in Action Controller (boo#963329)

- CVE-2016-0752: directory traversal and information leak in Action View (boo#963332)

- CVE-2015-7581: unbounded memory growth DoS via wildcard controller routes (boo#963335)

- CVE-2016-0751: rubygem-actionpack: Object Leak DoS (boo#963331)

- CVE-2016-0753: Input Validation Circumvention (boo#963334)

- CVE-2015-7577: Nested attributes rejection proc bypass (boo#963330)

Solution

Update the affected rubygem-actionpack-4_2 / rubygem-actionview-4_2 / rubygem-activemodel-4_2 / etc packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=963329

https://bugzilla.opensuse.org/show_bug.cgi?id=963330

https://bugzilla.opensuse.org/show_bug.cgi?id=963331

https://bugzilla.opensuse.org/show_bug.cgi?id=963332

https://bugzilla.opensuse.org/show_bug.cgi?id=963334

https://bugzilla.opensuse.org/show_bug.cgi?id=963335

Plugin Details

Severity: Medium

ID: 88612

File Name: openSUSE-2016-159.nasl

Version: 2.9

Type: local

Agent: unix

Published: 2016/02/08

Updated: 2019/04/11

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:ruby2.1-rubygem-actionpack-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-actionpack-doc-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-actionview-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-actionview-doc-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-activemodel-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-activemodel-doc-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-activerecord-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-activerecord-doc-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-activesupport-4_2, p-cpe:/a:novell:opensuse:ruby2.1-rubygem-activesupport-doc-4_2, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/02/07

Exploitable With

Core Impact

Metasploit (Ruby on Rails Dynamic Render File Upload Remote Code Execution)

Reference Information

CVE: CVE-2015-7576, CVE-2015-7577, CVE-2015-7581, CVE-2016-0751, CVE-2016-0752, CVE-2016-0753